#ifndef __BOILERPLATE_WINDOW_H__
#define __BOILERPLATE_WINDOW_H__

#include <gtk/gtk.h>

#include "boilerplate-application.h"

G_BEGIN_DECLS

#define BOILERPLATE_TYPE_WINDOW    (boilerplate_window_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplateWindow, boilerplate_window, BOILERPLATE, WINDOW, GtkApplicationWindow)

BoilerplateWindow *
boilerplate_window_new (BoilerplateApplication *);

void
boilerplate_window_toggle_fullscreen (BoilerplateWindow *);

static void
boilerplate_window_init (BoilerplateWindow *);

static void
boilerplate_window_class_init (BoilerplateWindowClass *);

static void
boilerplate_window_finalize (GObject *);

G_END_DECLS

#endif /* __BOILERPLATE_WINDOW_H__ */
